All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr
Class ResourceScope

    com.sas.iquery.metadata.expr.ResourceScope

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface

    @SASScope(value="ALL")
    @SubjectToChange
    public class ResourceScope

Enumeration Class which contains Resource scopes Resource scopes are used to determine what types of objects within a business model can be used in a ResourceAwareStringExpression(RASE). For example by defining the scope to be only business a RASE will only look for business items within a business model when performing resource identification. See the ResourceAwareStringExpression javadoc examples for more details on how this is used. Only one instance of each scope type will exist in the entire application. Thus "==" is valid for comparing these type objects.

Field Summary
`static int` | `BUSINESS`
`static int` | `BUSINESS_AND_PHYSICAL`
`static ResourceScope` | `BUSINESS_AND_PHYSICAL_SCOPE`
`static ResourceScope` | `BUSINESS_SCOPE`
`static int` | `PHYSICAL`
`static ResourceScope` | `PHYSICAL_SCOPE`

Method Summary
`static ResourceScope` | `getScope(int type)` Returns a ResourceScope given a type
`int` | `getType()` Returns the type of this resource scope.
`boolean` | `isBusiness()` Determines if this scope is business
`boolean` | `isBusinessAndPhysical()` Determines if this scope is both business and physical
`boolean` | `isPhysical()` Determines if this scope is physical

Field Detail

*** This field is subject to change. ***

### BUSINESS

    @SASScope(value="ALL")
    @SubjectToChange
    public static final int BUSINESS

See Also:
  Constant Field Values

*** This field is subject to change. ***

### PHYSICAL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final int PHYSICAL

See Also:
  Constant Field Values

*** This field is subject to change. ***

### BUSINESS_AND_PHYSICAL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final int BUSINESS_AND_PHYSICAL

See Also:
  Constant Field Values

*** This field is subject to change. ***

### BUSINESS_SCOPE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ResourceScope BUSINESS_SCOPE

*** This field is subject to change. ***

### PHYSICAL_SCOPE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ResourceScope PHYSICAL_SCOPE

*** This field is subject to change. ***

### BUSINESS_AND_PHYSICAL_SCOPE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ResourceScope BUSINESS_AND_PHYSICAL_SCOPE

Method Detail

*** This method is subject to change. ***

### getScope

    @SASScope(value="ALL")
    @SubjectToChange
    public static ResourceScope getScope(int type)

  Returns a ResourceScope given a type

  Parameters:
    `type` - for example, ResourceScope.BUSINESS (any type defined in ResourceScope)
  Returns:
    a ResourceScope representing the type null if the type is not valid

*** This method is subject to change. ***

### getType

    @SASScope(value="ALL")
    @SubjectToChange
    public int getType()

  Returns the type of this resource scope. The type is guaranteed to be one of:
  - ResourceScope.BUSINESS_AND_PHYSICAL
  - ResourceScope.BUSINESS
  - ResourceScope.PHYSICAL

  Returns:
    type

*** This method is subject to change. ***

### isBusiness

    @SASScope(value="ALL")
    @SubjectToChange
    public boolean isBusiness()

  Determines if this scope is business

  Returns:
    true if business false otherwise

*** This method is subject to change. ***

### isPhysical

    @SASScope(value="ALL")
    @SubjectToChange
    public boolean isPhysical()

  Determines if this scope is physical

  Returns:
    true if business false otherwise

*** This method is subject to change. ***

### isBusinessAndPhysical

    @SASScope(value="ALL")
    @SubjectToChange
    public boolean isBusinessAndPhysical()

  Determines if this scope is both business and physical

  Returns:
    true if business and physical false otherwise

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.